@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Ruluko&display=swap');

/* CSS Document */
/*------------------------------------------------------
CSS Created:	25/07/2018
CSS Author:		Alessandro Avallone
---------------------------------------------* GENERAL */

html, body {
	padding:0;
	margin:0;
	font-family: 'Ruluko', sans-serif;
	font-weight:300;
	font-style:normal;
}

a {
	text-decoration:none;
}

.animatedFast {
	/* */
    -webkit-transition:all 0.25s ease-out;
    -moz-transition:all 0.25s ease-out;
    -o-transition:all 0.25s ease-out;
    -ms-transition:all 0.25s ease-out;
    transition:all 0.25s ease-out;
}

.animatedMedium {
	/* */
    -webkit-transition:all 0.5s ease-out;
    -moz-transition:all 0.5s ease-out;
    -o-transition:all 0.5s ease-out;
    -ms-transition:all 0.5s ease-out;
    transition:all 0.5s ease-out;
}

.animatedSlow {
	/* */
    -webkit-transition:all 1s ease-out;
    -moz-transition:all 1s ease-out;
    -o-transition:all 1s ease-out;
    -ms-transition:all 1s ease-out;
    transition:all 1s ease-out;
}

.clearfix::before,
.clearfix::after {
	content:"";
	display:table;
	clear:both;	
}

.wrapper {
	margin:0 auto;
	position:relative;
	width:100%;
}

.desktop {
	display:none;
}

.mobile {
	display:none;
}

.serif {
	font-family: 'Ruluko', sans-serif;	
}

/*---------------------------------------------* HEADER */

header {
	width: 100%;
	box-sizing: border-box;
	position: fixed;
	left: 0;
	top: 0;
	z-index: 100;
	background-color: white;
}

header .wrapper {
	height: inherit;
}

header .wrapper h1, h2 {
	margin: 0;
	font-weight: 300;
}

header .wrapper .title h1 {
	text-transform: uppercase;
	font-size:42px;
}

header .wrapper .subtitle {
	opacity: 0.3;
	transition:all 1s ease-out;	
}

header .subtitle h2 {
	font-size:42px;
	text-align: right;
}

header .wrapper .subtitle.yellow {
	opacity: 1;
	color: #ffd900;
}

/*---------------------------------------------* NAV */

nav {
	display:flex;
	flex-flow:row wrap;
	align-items: center;
	justify-content: center;
	height: inherit;
}

nav .button {
	font-size: 14px;
	text-transform: uppercase;
	padding: 40px 0;
	margin: 0 40px;
	text-align: center;
	position: relative;
}

nav .button a {
	color: #a6a6a6;
	z-index: 90;
	position: relative;
}

nav .button.disabled a {
	color: #4f4f4f;
}

/*---------------------------------------------* LOGO */

.logo {
	text-align: center;
	opacity: 1;
	position: fixed;
	top: 120px;
	left: 0;
	right: 0;
}

.logo.scroll {
	opacity: 0;
}

.logo h1 {
	font-size: 18px;
}

.logo h1 span:nth-of-type(1) {
	text-transform: uppercase;
	font-weight: 400;
}

.logo h1 span:nth-of-type(2) {
	font-weight: 300;
}

/*---------------------------------------------* GENERAL */

.noScroll {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
}

.noScroll a {
	color: black;
	text-decoration: underline;
	text-decoration-color: black;
	}

.noScroll {
	text-align: center;
	font-size: 14px;
}
	
.noScroll .homeCover {
	height:  100%;
	width: auto;
}

/*---------------------------------------------* GRID*/

.grid .row {
	display: flex;
}

.grid .row:nth-of-type(odd) {
	flex-flow: row wrap;
}

.grid .row:nth-of-type(even) {
	flex-flow: row-reverse wrap;
}

.grid .row .box {
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0;
}

.grid .row .box:nth-of-type(odd) {
	transform: translateX(-40px);
}

.grid .row .box:nth-of-type(even) {
	transform: translateX(40px);
}

.grid .row.visible .box {
	opacity: 1;
	transform: translateX(0);
}

.content .grid .row .box.cover {
	background-repeat: no-repeat;
}

.content.projects .grid .row .box.cover {
	background-size: cover;
	background-position: center bottom;
}

.content.press .grid .row .box.cover img {

}

.grid .row .box.cover img {
	width: 100%;
	display: block;
	box-sizing: border-box;
}

.content.press .grid .row .box.cover img {
	border: 1px solid rgba(0,0,0,0.1);
}

.grid .row .box.info {
	text-align: center;
}

.grid .row .box.info a {
	font-size: 14px;
	color: #a29b25;
}

.grid .row .box.info p:nth-of-type(1) {
	font-size: 48px;
	font-weight: bold;
}

.grid .row .box.info p:nth-of-type(2) {
	font-weight: 600;
	font-size: 18px;
}

.grid .row .box.info p:nth-of-type(2) a {
	color: #a29b25;	
}

.grid .row .box.info p:nth-of-type(3) {
	font-size: 14px;
}

/*---------------------------------------------* LIST */

.list .row {
	padding: 80px 0;
	box-sizing: border-box;
	display: flex;
	flex-flow: row wrap;
}

.list .row:last-of-type {
	border: none;
}

.list .row .image {
	width: 45%;
	padding-top: 5px;
	box-sizing: border-box;
	margin-right: 10%;
}

.list .row .image img {
	width: 100%;
}

.list .row .description {
	width: 45%;
	font-size: 14px;
	line-height: 24px;
}

.list .row .description a {
	color: #a29b25;
}

.list .row .description .title {
	font-size: 18px;
	text-transform: uppercase;
}

.list .row .description .en {
	font-style: italic;
}

/*---------------------------------------------* CONTACTS */

.contacts {
	font-size: 18px;
	line-height: 24px;
}

/*---------------------------------------------* FOOTER */

footer {
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
}

footer a {
	text-decoration: underline;
	color: black;
}

footer h2 {
	text-transform: uppercase;
	font-size: 14px;
}

footer p {
	font-size: 14px;
	margin: 0;
}



/*---------------------------------------------------------------------- */
/*---------------------------------------------* MEDIA QUERY [ LARGE ]   */
/*---------------------------------------------------------------------- */

@media screen and (min-width:1440px) {
	
	html, body {
		font-size:16px
	}

	.desktop {
		display:inline-block;
	}
	
	.mobile {
		display:none;
	}

	.wrapper {
		width:1152px;
	}
	
	header, footer {
		height: 120px;
	}	
	
	.include {
		margin-top: 220px;
	}	
	
	.noScroll {
		height: calc(100vh - 340px);
	}	
	
	.grid .row .box {
		width: 576px;
	}
	
}

/*---------------------------------------------------------------------- */
/*---------------------------------------------* MEDIA QUERY [ MEDIUM ]  */
/*---------------------------------------------------------------------- */

@media screen and (min-width:1024px) and (max-width:1439px) {	
	
	html, body {
		font-size:16px
	}

	.desktop {
		display:block;
	}
	
	.mobile {
		display:none;
	}

	.wrapper {
		width:960px;
	}
	
	header, footer {
		height: 100px;
	}	
	
	.include {
		margin-top: 220px;
	}	
	
	.noScroll {
		height: calc(100vh - 320px);
	}	
	
	.grid .row .box {
		width: 480px;
	}
	
	
}

/*---------------------------------------------------------------------- */
/*---------------------------------------------* MEDIA QUERY [ SMALL ]   */
/*---------------------------------------------------------------------- */

@media screen and (min-width:320px) and (max-width:1023px) {
	
	html, body {
		font-size:16px;
		height: 100%;
	}
	
	.desktop {
		display:none;
	}
	
	.mobile {
		display:block;
	}
	
	.wrapper {
		width:90%;
	}
	
	.content {
		padding-top: 80px;
		box-sizing: border-box;
	}
	
	.content.home, 
	.content.contacts {
		height: calc(100% - 120px);
	}	
	
	.content.home .include,
	.content.contacts .include {		
		height: 100%;		
	}
	
	.noScroll {
    	height: 100%;
	}
	
	

	.noScroll .homeCover {
		height: 100%;
		width: auto;
	}	
	
	
	
	.logo {
		top: 15px;
		left: 5%;
		right:auto;
		z-index: 900;
	}
	
	.logo.scroll {
		opacity: 1;
	}	
	
	.logo h1 {
		font-size: 14px;
	}	
	
	/*---------------------------------------------* HEADER */
	
	header {
		height: 60px;
	}
	
	footer {
		height: 120px;
	}	
	
	
	/*---------------------------------------------* NAV */

	nav {
		position: fixed;
		right: 0;
		top: 0;
		width: 100vw;
		height: 100%;
		display:block;
		background-color: white;
		transform: translateX(100vw);
		transition:all 0.5s cubic-bezier(1,0,0,1);	
		padding: 120px 0;
		box-sizing: border-box;
	}
	
	nav.appear {
		transform: translateX(0);
	}

	nav .button {
		font-size: 14px;
		text-transform: uppercase;
		padding: 4vh;
		text-align: center;
		position: relative;
	}

	nav .button a {
		color: black;
	}

	nav .button::after {
		display: none;
	}	
	
	/*---------------------------------------------* GRID */	
	
	.grid .row .box.info {
    	width: 100%;
	}
	
	.grid .row .box.info {
		height: 90vw;    	
	}	

	.grid .row .box:nth-of-type(odd) {
		transform: translateX(-5%);
	}

	.grid .row .box:nth-of-type(even) {
		transform: translateX(5%);
	}

	.grid .row.visible .box {
		opacity: 1;
		transform: translateX(0);
	}
	
	/*---------------------------------------------* LIST */

	.list .row {
		margin-bottom: 20px;
		padding: 20px 0;
		display:block;
	}
	
	.list .row .image {
		width: 100%;
		padding: 0;
		margin: 0;
	}	

	.list .row .description {
		width: 100%;
		font-size: 16px;
	}

}


@media screen and (min-width:320px) and (max-width:1023px) and (max-aspect-ratio: 7/10) {
		
	.noScroll .homeCover {
		height: auto;
		width: 100%;
	}	

}